Configures the watcher

- « EvTimer::createStopped

- EvWatcher »

- PHP Manual
- EvTimer
- Configures the watcher

# EvTimer::set

(PECL ev >= 0.2.0)

EvTimer::set — Configures the watcher

### Description

public EvTimer::set( float `$after` , float `$repeat` ): void

Configures the watcher

### Parameters

`after`

  Configures the timer to trigger after `after` seconds.

`repeat`

  If repeat is `0.0`, then it will automatically be stopped once the timeout is reached. If it is positive, then the timer will automatically be configured to trigger again every repeat seconds later, until stopped manually.

### Return Values

No value is returned.